Package org.opencv.objdetect

## Class GridBoard

- java.lang.Object
- - org.opencv.objdetect.Board
  - - org.opencv.objdetect.GridBoard

-     public class GridBoard
      extends Board

  Planar board with grid arrangement of markers More common type of board. All markers are placed in the same plane in a grid arrangement. The board image can be drawn using generateImage() method.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.objdetect.Board

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GridBoard​(long addr)` |
    `` | `GridBoard​(Size size, float markerLength, float markerSeparation, Dictionary dictionary)` | GridBoard constructor
    `` | `GridBoard​(Size size, float markerLength, float markerSeparation, Dictionary dictionary, Mat ids)` | GridBoard constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GridBoard` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `Size` | `getGridSize()` |
    `float` | `getMarkerLength()` |
    `float` | `getMarkerSeparation()` |

    - ### Methods inherited from class org.opencv.objdetect.Board

      `generateImage, generateImage, generateImage, getDictionary, getIds, getNativeObjAddr, getObjPoints, getRightBottomCorner, matchImagePoints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridBoard

          protected GridBoard​(long addr)

    - #### GridBoard

          public GridBoard​(Size size,
                           float markerLength,
                           float markerSeparation,
                           Dictionary dictionary,
                           Mat ids)

      GridBoard constructor
      Parameters:
        `size` - number of markers in x and y directions
        `markerLength` - marker side length (normally in meters)
        `markerSeparation` - separation between two markers (same unit as markerLength)
        `dictionary` - dictionary of markers indicating the type of markers
        `ids` - set of marker ids in dictionary to use on board.

    - #### GridBoard

          public GridBoard​(Size size,
                           float markerLength,
                           float markerSeparation,
                           Dictionary dictionary)

      GridBoard constructor
      Parameters:
        `size` - number of markers in x and y directions
        `markerLength` - marker side length (normally in meters)
        `markerSeparation` - separation between two markers (same unit as markerLength)
        `dictionary` - dictionary of markers indicating the type of markers

  - ### Method Detail

    - #### __fromPtr__

          public static GridBoard __fromPtr__​(long addr)

    - #### getGridSize

          public Size getGridSize()

    - #### getMarkerLength

          public float getMarkerLength()

    - #### getMarkerSeparation

          public float getMarkerSeparation()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Board`
      Throws:
        `java.lang.Throwable`